<%@ page contentType="text/html; charset=UTF-8" %>
<jsp:directive.include file="includes/top.jsp" />
<form:form method="post" id="fm1" cssClass="fm-v clearfix" commandName="${commandName}" htmlEscape="true">
	<form:errors path="*" cssClass="errors" id="status" element="div" />
    <div class="box fl-panel" id="login">
        <h2>Bitte geben Sie Ihren Benutzernamen und Ihr Passwort ein.</h2>
        <div class="row fl-controls-left">
            <label for="username" class="fl-label">Benutzername</label>
			<c:if test="${not empty sessionScope.openIdLocalId}">
				<strong>${sessionScope.openIdLocalId}</strong>
				<input type="hidden" id="username" name="username" value="${sessionScope.openIdLocalId}" />
			</c:if>
			<c:if test="${empty sessionScope.openIdLocalId}">
				<spring:message code="screen.welcome.label.netid.accesskey" var="userNameAccessKey" />
				<form:input cssClass="required" cssErrorClass="error" id="username" size="25" tabindex="1" accesskey="${userNameAccessKey}" path="username" htmlEscape="true" />
			</c:if>
        </div>
        <div class="row fl-controls-left">
            <label for="password" class="fl-label">Passwort</label>
			<spring:message code="screen.welcome.label.password.accesskey" var="passwordAccessKey" />
			<form:password cssClass="required" cssErrorClass="error" id="password" size="25" tabindex="2" path="password"  accesskey="${passwordAccessKey}" htmlEscape="true" />
        </div>
        <div class="row btn-row">
            <input id="warn" name="warn" value="true" type="hidden" />
			<input type="hidden" name="lt" value="${flowExecutionKey}" />
			<input type="hidden" name="_eventId" value="submit" />
            <input class="btn-submit" name="submit" accesskey="l" value="<spring:message code="screen.welcome.button.login" />" tabindex="4" type="submit" />
			<input class="btn-reset" name="reset" accesskey="c" value="<spring:message code="screen.welcome.button.clear" />" tabindex="5" type="reset" />
        </div>
    </div>
</form:form>
<div id="sidebar">
</div>
<jsp:directive.include file="includes/bottom.jsp" />
