package de.hsadmin.core.model;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface AnnFieldIO {
	String validation() default "[A-Za-z0-9\\_\\-]*";
	ReadWriteAccess rw() default ReadWriteAccess.WRITEONCE;
	Class<?> referTo() default Object.class;
}
